org.w3._2001._04.xmlenc

## Class AgreementMethod

- java.lang.Object
- - org.w3._2001._04.xmlenc.AgreementMethod

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:54:22+02:00",
                 comments="JAXB RI v2.3.7")
      public class AgreementMethod
      extends Object
      implements Serializable

  Java class for AgreementMethodType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AgreementMethodType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="KA-Nonce" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
               <any namespace='##other' maxOccurs="unbounded" minOccurs="0"/>
               <element name="OriginatorKeyInfo" type="{http://www.w3.org/2000/09/xmldsig#}KeyInfoType" minOccurs="0"/>
               <element name="RecipientKeyInfo" type="{http://www.w3.org/2000/09/xmldsig#}KeyInfoType" minOccurs="0"/>
             </sequence>
             <attribute name="Algorithm" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgreementMethod()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()` Gets the value of the algorithm property.
    `List<Object>` | `getContent()` Gets the value of the content property.
    `void` | `setAlgorithm(String value)` Sets the value of the algorithm property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AgreementMethod

          public AgreementMethod()

  - ### Method Detail

    - #### getContent

          public List<Object> getContent()

      Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `Object` `String` `JAXBElement``<``byte[]``>` `JAXBElement``<``KeyInfo``>` `JAXBElement``<``KeyInfo``>`

    - #### getAlgorithm

          public String getAlgorithm()

      Gets the value of the algorithm property.
      Returns:
        possible object is `String`

    - #### setAlgorithm

          public void setAlgorithm(String value)

      Sets the value of the algorithm property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.